Cloud Config error

Tags: #<Tag:0x00007f7399dd5fe0>

I use voice assistants, through Nabu Casa. Since this evening, I have come across a strange issue in Hassio where I consistently see a notification indicating problems with default_config, and cloud. I can no longer see cloud integration in the configuration panel, and cannot control my entities with Alexa. Apart from that, I have not found any problems with Homeassistant. I can control everything locally. I am kind of a newbie in this, and the log I have checked hardly make any sense. Can anybody help?

I run Hassio on RPi

Traceback (most recent call last):
  File "/usr/local/lib/python3.7/site-packages/urllib3/connectionpool.py", line 677, in urlopen
    chunked=chunked,
  File "/usr/local/lib/python3.7/site-packages/urllib3/connectionpool.py", line 426, in _make_request
    six.raise_from(e, None)
  File "<string>", line 3, in raise_from
  File "/usr/local/lib/python3.7/site-packages/urllib3/connectionpool.py", line 421, in _make_request
    httplib_response = conn.getresponse()
  File "/usr/local/lib/python3.7/http/client.py", line 1344, in getresponse
    response.begin()
  File "/usr/local/lib/python3.7/http/client.py", line 306, in begin
    version, status, reason = self._read_status()
  File "/usr/local/lib/python3.7/http/client.py", line 275, in _read_status
    raise RemoteDisconnected("Remote end closed connection without"
http.client.RemoteDisconnected: Remote end closed connection without response

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python3.7/site-packages/botocore/httpsession.py", line 263, in send
    chunked=self._chunked(request.headers),
  File "/usr/local/lib/python3.7/site-packages/urllib3/connectionpool.py", line 725, in urlopen
    method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
  File "/usr/local/lib/python3.7/site-packages/urllib3/util/retry.py", line 379, in increment
    raise six.reraise(type(error), error, _stacktrace)
  File "/usr/local/lib/python3.7/site-packages/urllib3/packages/six.py", line 734, in reraise
    raise value.with_traceback(tb)
  File "/usr/local/lib/python3.7/site-packages/urllib3/connectionpool.py", line 677, in urlopen
    chunked=chunked,
  File "/usr/local/lib/python3.7/site-packages/urllib3/connectionpool.py", line 426, in _make_request
    six.raise_from(e, None)
  File "<string>", line 3, in raise_from
  File "/usr/local/lib/python3.7/site-packages/urllib3/connectionpool.py", line 421, in _make_request
    httplib_response = conn.getresponse()
  File "/usr/local/lib/python3.7/http/client.py", line 1344, in getresponse
    response.begin()
  File "/usr/local/lib/python3.7/http/client.py", line 306, in begin
    version, status, reason = self._read_status()
  File "/usr/local/lib/python3.7/http/client.py", line 275, in _read_status
    raise RemoteDisconnected("Remote end closed connection without"
urllib3.exceptions.ProtocolError: ('Connection aborted.', RemoteDisconnected('Remote end closed connection without response'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/setup.py", line 171, in _async_setup_component
    hass, processed_config
  File "/usr/src/homeassistant/homeassistant/components/cloud/__init__.py", line 234, in async_setup
    await cloud.start()
  File "/usr/local/lib/python3.7/site-packages/hass_nabucasa/__init__.py", line 237, in start
    await self.client.logged_in()
  File "/usr/src/homeassistant/homeassistant/components/cloud/client.py", line 113, in logged_in
    await self.alexa_config.async_enable_proactive_mode()
  File "/usr/src/homeassistant/homeassistant/components/alexa/config.py", line 55, in async_enable_proactive_mode
    await self._unsub_proactive_report
  File "/usr/src/homeassistant/homeassistant/components/alexa/state_report.py", line 26, in async_enable_proactive_mode
    await smart_home_config.async_get_access_token()
  File "/usr/src/homeassistant/homeassistant/components/cloud/alexa_config.py", line 114, in async_get_access_token
    resp = await cloud_api.async_alexa_access_token(self._cloud)
  File "/usr/local/lib/python3.7/site-packages/hass_nabucasa/cloud_api.py", line 16, in check_token
    await cloud.auth.async_check_token()
  File "/usr/local/lib/python3.7/site-packages/hass_nabucasa/auth.py", line 174, in async_check_token
    await self._async_renew_access_token()
  File "/usr/local/lib/python3.7/site-packages/hass_nabucasa/auth.py", line 201, in _async_renew_access_token
    await self.cloud.run_executor(cognito.renew_access_token)
  File "/usr/local/lib/python3.7/concurrent/futures/thread.py", line 57, in run
    result = self.fn(*self.args, **self.kwargs)
  File "/usr/local/lib/python3.7/site-packages/pycognito/__init__.py", line 620, in renew_access_token
    AuthParameters=auth_params,
  File "/usr/local/lib/python3.7/site-packages/botocore/client.py", line 357, in _api_call
    return self._make_api_call(operation_name, kwargs)
  File "/usr/local/lib/python3.7/site-packages/botocore/client.py", line 648, in _make_api_call
    operation_model, request_dict, request_context)
  File "/usr/local/lib/python3.7/site-packages/botocore/client.py", line 667, in _make_request
    return self._endpoint.make_request(operation_model, request_dict)
  File "/usr/local/lib/python3.7/site-packages/botocore/endpoint.py", line 102, in make_request
    return self._send_request(request_dict, operation_model)
  File "/usr/local/lib/python3.7/site-packages/botocore/endpoint.py", line 137, in _send_request
    success_response, exception):
  File "/usr/local/lib/python3.7/site-packages/botocore/endpoint.py", line 231, in _needs_retry
    caught_exception=caught_exception, request_dict=request_dict)
  File "/usr/local/lib/python3.7/site-packages/botocore/hooks.py", line 356, in emit
    return self._emitter.emit(aliased_event_name, **kwargs)
  File "/usr/local/lib/python3.7/site-packages/botocore/hooks.py", line 228, in emit
    return self._emit(event_name, kwargs)
  File "/usr/local/lib/python3.7/site-packages/botocore/hooks.py", line 211, in _emit
    response = handler(**kwargs)
  File "/usr/local/lib/python3.7/site-packages/botocore/retryhandler.py", line 183, in __call__
    if self._checker(attempts, response, caught_exception):
  File "/usr/local/lib/python3.7/site-packages/botocore/retryhandler.py", line 251, in __call__
    caught_exception)
  File "/usr/local/lib/python3.7/site-packages/botocore/retryhandler.py", line 277, in _should_retry
    return self._checker(attempt_number, response, caught_exception)
  File "/usr/local/lib/python3.7/site-packages/botocore/retryhandler.py", line 317, in __call__
    caught_exception)
  File "/usr/local/lib/python3.7/site-packages/botocore/retryhandler.py", line 223, in __call__
    attempt_number, caught_exception)
  File "/usr/local/lib/python3.7/site-packages/botocore/retryhandler.py", line 359, in _check_caught_exception
    raise caught_exception
  File "/usr/local/lib/python3.7/site-packages/botocore/endpoint.py", line 200, in _do_get_response
    http_response = self._send(request)
  File "/usr/local/lib/python3.7/site-packages/botocore/endpoint.py", line 244, in _send
    return self.http_session.send(request)
  File "/usr/local/lib/python3.7/site-packages/botocore/httpsession.py", line 294, in send
    endpoint_url=request.url
botocore.exceptions.ConnectionClosedError: Connection was closed before we received a valid response from endpoint URL: "https://cognito-idp.us-east-1.amazonaws.com/".

Any solution ??? I’m having this problem too

Logs

Detalhes do log (ERROR)
Logger: homeassistant.setup
Source: components/cloud/alexa_config.py:114
First occurred: 1 de setembro de 2020 21:49:47 (1 occurrences)
Last logged: 1 de setembro de 2020 21:49:47

Error during setup of component cloud
Traceback (most recent call last):
File “/usr/local/lib/python3.8/site-packages/aiohttp/connector.py”, line 964, in _create_direct_connection
hosts = await asyncio.shield(self._resolve_host(
File “/usr/local/lib/python3.8/site-packages/aiohttp/connector.py”, line 829, in _resolve_host
addrs = await
File “/usr/local/lib/python3.8/site-packages/aiohttp/resolver.py”, line 29, in resolve
infos = await self._loop.getaddrinfo(
File “/usr/local/lib/python3.8/asyncio/base_events.py”, line 825, in getaddrinfo
return await self.run_in_executor(
File “/usr/local/lib/python3.8/concurrent/futures/thread.py”, line 57, in run
result = self.fn(*self.args, **self.kwargs)
File “/usr/local/lib/python3.8/socket.py”, line 918, in getaddrinfo
for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
socket.gaierror: [Errno -3] Try again

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File “/usr/src/homeassistant/homeassistant/setup.py”, line 191, in _async_setup_component
result = await task
File “/usr/src/homeassistant/homeassistant/components/cloud/init.py”, line 234, in async_setup
await cloud.start()
File “/usr/local/lib/python3.8/site-packages/hass_nabucasa/init.py”, line 251, in start
await self.client.logged_in()
File “/usr/src/homeassistant/homeassistant/components/cloud/client.py”, line 114, in logged_in
await self.alexa_config.async_enable_proactive_mode()
File “/usr/src/homeassistant/homeassistant/components/alexa/config.py”, line 55, in async_enable_proactive_mode
await self._unsub_proactive_report
File “/usr/src/homeassistant/homeassistant/components/alexa/state_report.py”, line 26, in async_enable_proactive_mode
await smart_home_config.async_get_access_token()
File “/usr/src/homeassistant/homeassistant/components/cloud/alexa_config.py”, line 114, in async_get_access_token
resp = await cloud_api.async_alexa_access_token(self._cloud)
File “/usr/local/lib/python3.8/site-packages/hass_nabucasa/cloud_api.py”, line 17, in check_token
return await func(cloud, *args)
File “/usr/local/lib/python3.8/site-packages/hass_nabucasa/cloud_api.py”, line 28, in log_response
resp = await func(*args)
File “/usr/local/lib/python3.8/site-packages/hass_nabucasa/cloud_api.py”, line 89, in async_alexa_access_token
return await cloud.websession.post(
File “/usr/local/lib/python3.8/site-packages/aiohttp/client.py”, line 480, in _request
conn = await self._connector.connect(
File “/usr/local/lib/python3.8/site-packages/aiohttp/connector.py”, line 523, in connect
proto = await self._create_connection(req, traces, timeout)
File “/usr/local/lib/python3.8/site-packages/aiohttp/connector.py”, line 858, in _create_connection
_, proto = await self._create_direct_connection(
File “/usr/local/lib/python3.8/site-packages/aiohttp/connector.py”, line 971, in _create_direct_connection
raise ClientConnectorError(req.connection_key, exc) from exc
aiohttp.client_exceptions.ClientConnectorError: Cannot connect to host alexa-api.nabucasa.com:443 ssl:default [Try again]
O Home Assistant está iniciando, algumas funcionalidades podem estar indisponíveis até que esteja iniciado.